## libogg 1.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

# Extract project version from configure.ac
file(READ configure.ac CONFIGURE_AC_CONTENTS)
string(REGEX MATCH "AC_INIT\\(\\[libogg\\],\\[([0-9]*\\.[0-9]*\\.[0-9]*)\\]" DUMMY ${CONFIGURE_AC_CONTENTS})

project(ogg VERSION ${CMAKE_MATCH_1} LANGUAGES C)

# Required modules
include(GNUInstallDirs)
include(CheckIncludeFiles)
include(CMakePackageConfigHelpers)

# Build options
option(BUILD_SHARED_LIBS "Build shared library" OFF)
if(APPLE)
    option(BUILD_FRAMEWORK "Build Framework bundle for OSX" OFF)
endif()

# Install options
option(INSTALL_DOCS "Install documentation" ON)
option(INSTALL_PKG_CONFIG_MODULE "Install ogg.pc file" ON)
option(INSTALL_CMAKE_PACKAGE_MODULE "Install CMake package configuration module" ON)

# Extract library version from configure.ac
string(REGEX MATCH "LIB_CURRENT=([0-9]*)" DUMMY ${CONFIGURE_AC_CONTENTS})
set(LIB_CURRENT ${CMAKE_MATCH_1})

string(REGEX MATCH "LIB_AGE=([0-9]*)" DUMMY ${CONFIGURE_AC_CONTENTS})
set(LIB_AGE ${CMAKE_MATCH_1})

string(REGEX MATCH "LIB_REVISION=([0-9]*)" DUMMY ${CONFIGURE_AC_CONTENTS})
set(LIB_REVISION ${CMAKE_MATCH_1})

math(EXPR LIB_SOVERSION "${LIB_CURRENT} - ${LIB_AGE}")
set(LIB_VERSION "${LIB_SOVERSION}.${LIB_AGE}.${LIB_REVISION}")


# Helper function to configure pkg-config files
function(configure_pkg_config_file pkg_config_file_in)
    set(prefix ${CMAKE_INSTALL_PREFIX})
    set(exec_prefix ${CMAKE_INSTALL_FULL_BINDIR})
    set(libdir ${CMAKE_INSTALL_FULL_LIBDIR})
    set(includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR})
    set(VERSION ${PROJECT_VERSION})
    string(REPLACE ".in" "" pkg_config_file ${pkg_config_file_in})
    configure_file(${pkg_config_file_in} ${pkg_config_file} @ONLY)
endfunction()

message(STATUS "Configuring ${PROJECT_NAME} ${PROJECT_VERSION}")

# Configure config_type.h
check_include_files(inttypes.h INCLUDE_INTTYPES_H)
check_include_files(stdint.h INCLUDE_STDINT_H)
check_include_files(sys/types.h INCLUDE_SYS_TYPES_H)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
set(SIZE16 int16_t)
set(USIZE16 uint16_t)
set(SIZE32 int32_t)
set(USIZE32 uint32_t)
set(SIZE64 int64_t)
set(USIZE64 uint64_t)

include(CheckSizes)

configure_file(include/ogg/config_types.h.in include/ogg/config_types.h @ONLY)

set(OGG_HEADERS
    ${CMAKE_CURRENT_BINARY_DIR}/include/ogg/config_types.h
    include/ogg/ogg.h
    include/ogg/os_types.h
)

set(OGG_SOURCES
    src/bitwise.c
    src/framing.c
    src/crctable.h
)

if(WIN32 AND BUILD_SHARED_LIBS)
    list(APPEND OGG_SOURCES win32/ogg.def)
endif()

if(BUILD_FRAMEWORK)
    set(BUILD_SHARED_LIBS TRUE)
endif()

add_library(ogg ${OGG_HEADERS} ${OGG_SOURCES})
add_library(Ogg::ogg ALIAS ogg)
target_include_directories(ogg PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

set_target_properties(
    ogg PROPERTIES
    SOVERSION ${LIB_SOVERSION}
    VERSION ${LIB_VERSION}
    PUBLIC_HEADER "${OGG_HEADERS}"
)

if(BUILD_FRAMEWORK)
    set_target_properties(ogg PROPERTIES
        FRAMEWORK TRUE
        FRAMEWORK_VERSION ${PROJECT_VERSION}
        MACOSX_FRAMEWORK_IDENTIFIER org.xiph.ogg
        MACOSX_FRAMEWORK_SHORT_VERSION_STRING ${PROJECT_VERSION}
        MACOSX_FRAMEWORK_BUNDLE_VERSION ${PROJECT_VERSION}
        XCODE_ATTRIBUTE_INSTALL_PATH "@rpath"
        OUTPUT_NAME Ogg
    )
endif()

configure_pkg_config_file(ogg.pc.in)

install(TARGETS ogg
    EXPORT OggTargets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    FRAMEWORK DESTINATION ${CMAKE_INSTALL_PREFIX}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ogg
)

export(EXPORT OggTargets NAMESPACE Ogg:: FILE OggTargets.cmake)

if(INSTALL_CMAKE_PACKAGE_MODULE)
    set(CMAKE_INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/Ogg)
    install(EXPORT OggTargets
        DESTINATION ${CMAKE_INSTALL_CONFIGDIR}
        NAMESPACE Ogg::
    )

    include(CMakePackageConfigHelpers)

    configure_package_config_file(${PROJECT_SOURCE_DIR}/cmake/OggConfig.cmake.in ${PROJECT_BINARY_DIR}/OggConfig.cmake
        INSTALL_DESTINATION ${CMAKE_INSTALL_CONFIGDIR}
        PATH_VARS CMAKE_INSTALL_FULL_INCLUDEDIR
    )

    write_basic_package_version_file(${PROJECT_BINARY_DIR}/OggConfigVersion.cmake
        VERSION ${PROJECT_VERSION}
        COMPATIBILITY SameMajorVersion
    )

    install(FILES ${PROJECT_BINARY_DIR}/OggConfig.cmake ${PROJECT_BINARY_DIR}/OggConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_CONFIGDIR}
    )
endif()

if(INSTALL_PKG_CONFIG_MODULE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ogg.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
    )
endif()

if(INSTALL_DOCS)
    set(OGG_DOCS
        doc/framing.html
        doc/index.html
        doc/oggstream.html
        doc/ogg-multiplex.html
        doc/fish_xiph_org.png
        doc/multiplex1.png
        doc/packets.png
        doc/pages.png
        doc/stream.png
        doc/vorbisword2.png
        doc/white-ogg.png
        doc/white-xifish.png
        doc/rfc3533.txt
        doc/rfc5334.txt
        doc/skeleton.html
    )
    install(FILES ${OGG_DOCS} DESTINATION ${CMAKE_INSTALL_DOCDIR}/html)
    install(DIRECTORY doc/libogg DESTINATION ${CMAKE_INSTALL_DOCDIR}/html PATTERN "*.am" EXCLUDE)
endif()

if(BUILD_TESTING)
    add_executable(test_bitwise src/bitwise.c ${OGG_HEADERS})
    target_compile_definitions(test_bitwise PRIVATE _V_SELFTEST)
    target_include_directories(test_bitwise PRIVATE
        include
        ${CMAKE_CURRENT_BINARY_DIR}/include
    )
    add_test(NAME test_bitwise COMMAND $<TARGET_FILE:test_bitwise>)

    add_executable(test_framing src/framing.c ${OGG_HEADERS})
    target_compile_definitions(test_framing PRIVATE _V_SELFTEST)
    target_include_directories(test_framing PRIVATE
        include
        ${CMAKE_CURRENT_BINARY_DIR}/include
    )
    add_test(NAME test_framing COMMAND $<TARGET_FILE:test_framing>)
endif()

set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
include(CPack)

## libogg 1.1.3-2.tk2

=== debian/changelog ===
libogg (1:1.1.3-2.tk2) unstable; urgency=low

  * Added epoch to have greater version number than what
    repository.maemo.org/extras has.
  * DEB_BUILD_OPTIONS=vfp,softfp,arm1136j-s

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 25 Apr 2008 17:46:56 +0300

libogg (1.1.3-2.tk1) unstable; urgency=low

  * DEB_BUILD_OPTIONS=vfp,softfp,arm1136j-s

 -- Tuomas Kulve <tuomas@kulve.fi>  Wed,  7 Feb 2007 11:31:56 +0200

libogg (1.1.3-2) unstable; urgency=low

  * Unbreak shlibs (bad argument to dh_makeshlibs; stick to plain -V). 

  * Install CHANGES from tarball as upstream changelog.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 20 Jan 2006 02:56:23 +0100

libogg (1.1.3-1) unstable; urgency=low

  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).

  * New upstream release packaged. (Closes: #342577)

    As noted in README.Debian-source, the files rfc3533.txt and rfc3534.txt
    have been removed from the doc/ subdirectory for their non-free license.

  * Move HTML documentation from /usr/share/doc/libogg-dev itself to an html/
    subdirectory of it. As it happens, this closes: #300680.

  * Update debian/control:
    + drop unnecessary build-dependencies on gawk and devscripts.
    + drop version restriction on debhelper build-dependency, since it's
      already satisfied with stable.

  * Overhaul debian/rules, and switch to quilt for patch management. (This
    closes: #347418, FTBFS with the previous rules file and the new make.)

  * Add debian/compat file, instead of exporting DH_COMPAT.

  * debian/patches:
    + external_rfc_links.diff: patch HTML documentation to reference external
      RFCs instead of local copies, and doc/Makefile.* not to install them,
      since these are not present in the Debian repacked tarball.

  * Update download URL in debian/copyright.

  * Add debian/watch file.

  * Bumped Standards-Version to 3.6.2 (no changes required).

  * Drop useless/empty libao2/README.Debian.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 18 Jan 2006 04:08:36 +0100

libogg (1.1.2-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 17 Mar 2005 21:00:00 -0600

libogg (1.1.0-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Sun,  7 Dec 2003 22:00:00 -0600

libogg (1.0.0-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 19 Jul 2002 09:00:00 -0500

libogg (1.0rc3-1) unstable; urgency=low

  * New upstream.
  * added autotools target (config.* updater) to rules

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 24 Dec 2001 11:00:00 -0600

libogg (1.0rc2-1) unstable; urgency=low

  * New upstream. 

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 12 Aug 2001 22:00:00 -0500

libogg (1.0rc1-1) unstable; urgency=low

  * New upstream.
  * Updated config.* files (Closes: #94816)
  * Changed clean to distclean.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 17 Jun 2001 20:00:00 -0500

libogg (1.0beta4-1) unstable; urgency=low

  *  New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 26 Feb 2001 08:00:00 -0600

libogg (1.0beta3-3) unstable; urgency=low

  * Fixed Sections.
  * Updated to Standards-Version to 3.5.1.0

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 17 Feb 2001 18:00:47 -0600

libogg (1.0beta3-2) unstable; urgency=low

  * Fixed package description (closes: #78387)
  * Fixed development library package name.

 -- Christopher L Cheney <ccheney@debian.org>  Sat,  3 Feb 2001 13:11:35 -0600

libogg (1.0beta3-1) unstable; urgency=low

  * Initial Release.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 29 Oct 2000 01:11:57 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libogg
Section: libs
Priority: optional
Maintainer: Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>
Uploaders: Christopher L Cheney <ccheney@debian.org>, Adeodato Simó <dato@net.com.org.es>
Build-Depends: autotools-dev, debhelper, quilt
Standards-Version: 3.6.2

Package: libogg0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Ogg Bitstream Library
 Libogg is a library for manipulating ogg bitstreams.  It handles
 both making ogg bitstreams and getting packets from ogg bitstreams.

Package: libogg-dev
Architecture: any
Section: libdevel
Depends: libogg0 (= ${Source-Version}), libc6-dev
Description: Ogg Bitstream Library Development
 The libogg-dev package contains the header files and documentation
 needed to develop applications with libogg.

=== debian/rules ===
#! /usr/bin/make -f

###

# Configure arguments

confflags = --prefix=/usr --enable-static

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

confflags += --build $(DEB_BUILD_GNU_TYPE)

# Only specify --host when cross-compiling
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --host $(DEB_HOST_GNU_TYPE)
endif

###

# Directory to make the build on

objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

###

# CFLAGS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use vfp.
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -mfpu=vfp
endif

# Use softfp.
ifneq (,$(findstring softfp,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -mfloat-abi=softfp
endif

# Use arm1136j-s.
ifneq (,$(findstring arm1136j-s,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -mcpu=arm1136j-s
endif


###

configure: configure-stamp
configure-stamp:
	dh_testdir

	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .

	#ln -sf debian/patches
	#quilt push -a || test $$? = 2

	-mkdir $(objdir)
	autoreconf -f -i && \
	cd $(objdir) && \
	env CFLAGS="$(CFLAGS)" ../configure $(confflags)

	touch $@

#

build: build-stamp
build-stamp: configure-stamp
	cd $(objdir) && \
	$(MAKE)

	touch $@

#

clean:
	dh_testdir
	dh_testroot

	quilt pop -a -R || test $$? = 2

	# remove quilt cruft
	#rm -f   patches
	rm -rf .pc

	rm -f configure-stamp build-stamp install-stamp
	rm -f config.guess config.sub

	# Remove build tree
	rm -rf $(objdir)

	dh_clean

#

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	cd $(objdir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --list-missing $(DH_INSTALL_EXCLUDE)
	touch $@ 

#

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_installmime
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
	@echo "Nothing to do."

#

.PHONY: configure build clean install binary binary-arch binary-indep

=== debian/watch ===
version=3
http://downloads.xiph.org/releases/ogg/libogg-(.+)\.tar\.gz

## libogg 1.3.2.1

=== debian/changelog ===
libogg (1.3.2.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 82b8f1a0b3e5b1d606c1ded7288f1878b9eeac4c']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:45:34 +0000

## libogg 1.3.4-0ubuntu1

=== debian/changelog ===
libogg (1.3.4-0ubuntu1) eoan; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 15:23:13 +0200

libogg (1.3.3-0ubuntu1) eoan; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Aug 2019 16:49:02 +0300

libogg (1.3.2-1) unstable; urgency=low

  * Fixes a bug with oggpack_writecopy() buffer reallocation.
  * Updated autotools boilerplate for new arches.  Closes: #744721
  * Trim the blacklist of arches where stack protector is broken.

 -- Ron Lee <ron@debian.org>  Thu, 29 May 2014 04:11:14 +0930

libogg (1.3.1-1) unstable; urgency=low

  * Fix the hardening LDFLAGS.
  * Guard against very large packets.
  * Numerous documentation fixes, including actually installing all of them
    and repairing a number of broken links.  Given that this has never been
    reported upstream or to Debian, we now have an estimate of the number of
    developers and users who actually read them ...

 -- Ron Lee <ron@debian.org>  Sun, 12 May 2013 06:08:18 +0930

libogg (1.3.0-4) unstable; urgency=low

  * Tweak config_types.h to compensate for multi-arch insamity.
    Closes: #675887

 -- Ron Lee <ron@debian.org>  Sat, 09 Jun 2012 04:56:30 +0930

libogg (1.3.0-3) unstable; urgency=low

  * Build for multi-arch.  Closes: #637576

 -- Ron Lee <ron@debian.org>  Sun, 03 Jun 2012 05:45:35 +0930

libogg (1.3.0-2) unstable; urgency=low

  * Build with 'hardening' flags enabled.  Closes: #673668

 -- Ron Lee <ron@debian.org>  Tue, 22 May 2012 05:50:46 +0930

libogg (1.3.0-1) unstable; urgency=low

  * Adds ogg_stream_flush_fill().
  * Restore the RFCs to the package.  We've always had permission for RFC 5334,
    it's stated explicitly in Section 12 of the text.  We apparently also had
    previously been given permission for RFC 3533 too - but somehow the record
    of that had been lost.  We have an explicit grant from Silvia noted in the
    copyright file now.  Reading and asking trumps over-zealotry.
  * Add build-arch and build-indep targets to debian/rules.

 -- Ron Lee <ron@debian.org>  Sun, 20 May 2012 23:34:05 +0930

libogg (1.2.2~dfsg-1) unstable; urgency=low

  * Adds ogg_stream_pageout_fill().
  * Fixes for large packets on 32bit systems.
  * More documentation updates.

 -- Ron Lee <ron@debian.org>  Sun, 08 May 2011 04:06:51 +0930

libogg (1.2.0~dfsg-1) unstable; urgency=low

  * Alter default flushing behavior to span less often and use larger page
    sizes when packet sizes are large.
  * Documentation updates.
  * Closes: #575675 (wish for new upstream release)

 -- Ron Lee <ron@debian.org>  Sat, 10 Apr 2010 23:23:54 +0930

libogg (1.1.4~dfsg-2) unstable; urgency=low

  * Add a -dbg package.  Closes: #516663
  * Keep dpkg-buildpackage out of our build flags.  There is no reason to think
    that it knows any better than upstream how hard or what should be optimised
    in this package.

 -- Ron Lee <ron@debian.org>  Sat, 19 Dec 2009 08:12:06 +1030

libogg (1.1.4~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Adopt this package, with the blessing of Clint.  Thanks.
  * Enable parallel builds, and automatically fork to the number of CPUs
    present unless told otherwise.
  * Don't mangle config.{sub,guess} at build time, leave the package source
    dir pristine as it was first packed.  But update them to the current
    versions now.  Drop the dependency on autotools-dev.
  * Support nostrip in DEB_BUILD_OPTIONS
  * Clean out a bunch of dh_* goop that we aren't actually using.
  * Simplify the *.install, drop the .la
  * Drop the dependency on quilt.  For the tiny little patches we are carrying
    it's overkill and better done in git anyhow.  Most of them should be passed
    upstream, and the RFC's we'll hopefully have relicenced soon and will be
    able to drop those too.

 -- Ron Lee <ron@debian.org>  Sun, 02 Aug 2009 10:00:26 +0930

libogg (1.1.3-5) unstable; urgency=low

  * Remove myself from Uploaders.

 -- Clint Adams <schizo@debian.org>  Fri, 27 Feb 2009 20:15:55 -0500

libogg (1.1.3-4) unstable; urgency=low

  * Bump to Standards-Version 3.8.0.
  * Refresh external_rfc_links.diff to -p ab.  closes: #485255.
  * Add doc_links.diff from Martin Pitt to fix HTML link to ogg/ subdir.
    closes: #463164.

 -- Clint Adams <schizo@debian.org>  Mon, 09 Jun 2008 20:38:54 -0400

libogg (1.1.3-3) unstable; urgency=low

  * Use dpkg-gensymbols, generating symbol files from packages in
    snapshot.debian.net since Mole only offers symbols for the last version.

  * Misc changes to debian/control:
    + add Vcs-Bzr header.
    + remove Christopher from Uploaders.
    + do not make libogg-dev Depend: on libc6-dev.
    + use ${binary:Version} instead of ${Source-Version}.

  * Other changes:
    + bump debian/compat to 5.
    + use /usr/share/quilt/quilt.make.
    + remove emacs cruft from changelog.
    + bump Standards-Version to 3.7.3 (no changes needed).

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 27 Dec 2007 12:56:00 +0100

=== debian/control ===
Source: libogg
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 8.1.3)
Standards-Version: 3.9.5.0
Homepage: http://xiph.org/ogg/
Vcs-Git: git://git.debian.org/users/ron/libogg.git
Vcs-Browser: http://git.debian.org/?p=users/ron/libogg.git;a=summary

Package: libogg0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}
Description: Ogg bitstream library
 Libogg is a library for manipulating ogg bitstreams.  It handles
 both making ogg bitstreams and getting packets from ogg bitstreams.

Package: libogg-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libogg0 (= ${binary:Version})
Description: Ogg bitstream library development files
 The libogg-dev package contains the header files and documentation
 needed to develop applications with libogg.

Package: libogg-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libogg0 (= ${binary:Version})
Description: debugging symbols for libogg
 This package provides the detached debug symbols for libogg.

=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS

NUM_CPUS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null)
PARALLEL = $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS    = -j$(or $(PARALLEL),$(NUM_CPUS),1)


DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


HARD_CPPFLAGS = -D_FORTIFY_SOURCE=2
HARD_CFLAGS   = -Wformat=2
HARD_LDFLAGS  = -Wl,-z,now

ifneq (,$(filter-out $(DEB_HOST_ARCH), alpha hppa arm))
	HARD_CFLAGS += -fstack-protector --param ssp-buffer-size=4
endif
ifneq (,$(filter-out $(DEB_HOST_ARCH), ia64 hppa avr32))
	HARD_LDFLAGS += -Wl,-z,relro
endif

# Keep dpkg-buildpackage the hell out of messing with our compile flags,
# we should trust upstream to know better than it what to use here.
# We do append -g for release builds though, for the detached -dbg package,
# and also now the hardening flags too as appropriate.
CPPFLAGS = $(HARD_CPPFLAGS)
CFLAGS   = $(HARD_CFLAGS) -g
CXXFLAGS = $(HARD_CFLAGS) -g
LDFLAGS  = $(HARD_LDFLAGS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS = -Wall -g -O0
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


objdir = objs


clean:
	dh_testdir
	dh_testroot
	$(RM) build-stamp install-stamp
	$(RM) -r $(objdir)
	dh_clean


$(objdir)/config.status: configure
	dh_testdir
	mkdir -p $(objdir)
	cd $(objdir) && ../configure --disable-maintainer-mode		\
				     --host=$(DEB_HOST_GNU_TYPE)	\
				     --build=$(DEB_BUILD_GNU_TYPE)	\
				     --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
				     --enable-static			\
				     --prefix=/usr			\
				     CPPFLAGS="$(CPPFLAGS)"		\
				     CFLAGS="$(CFLAGS)"			\
				     CXXFLAGS="$(CXXFLAGS)"		\
				     LDFLAGS="$(LDFLAGS)"

build: build-arch
build-arch: build-stamp
build-indep:

build-stamp: $(objdir)/config.status
	dh_testdir
	$(MAKE) $(NJOBS) -C $(objdir)
	touch $@


install: install-stamp
install-stamp: build-arch
	dh_testdir
	$(MAKE) -C $(objdir) install DESTDIR=$(CURDIR)/debian/tmp
	touch $@ 


binary: binary-arch

binary-arch: DH_OPTIONS = -a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installdocs
	dh_installchangelogs CHANGES
	dh_strip --dbg-package=libogg-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -- -c0
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:


.PHONY: clean build build-arch build-indep install binary binary-arch binary-indep

## libogg 1.3.5

=== debian/changelog ===
libogg (1.3.5-3build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:06:10 +0200

libogg (1.3.5-3) unstable; urgency=medium

  * Add lintian-overrides
    + for doc/skeleton.html
    + to keep dak happy (duplicate override for various lintian versions)
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 17:04:25 +0100

libogg (1.3.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Modernize lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 11:42:20 +0100

libogg (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5 (Closes: #1004545)
  * Add autopkgtest

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Jun 2022 14:29:29 +0200

libogg (1.3.4-2) unstable; urgency=medium

  * Drop libogg-dbg in favour of automatic dbgsym packages
  * Add watch file
  * Update Vcs-* stanzas to salsa.d.o
  * d/copyright
    + Machine readable d/copyright
    + Add "licensecheck" target to d/rules
    + Generate d/copyright_hints
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Add Build-Depends to symbols file
  * Declare that .la files are not installed by any package
  * DEP14: use standard branch names
  * Use source format 3.0 (quilt) (Closes: #1007072)
  * Bump dh-compat to 13 (Closes: #965673)
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 17 Jun 2022 23:12:42 +0200

libogg (1.3.4-1) unstable; urgency=medium

  * Salvaging package on behalf of the Multimedia Team (Closes: #1011278)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Jun 2022 08:45:49 +0200

libogg (1.3.4-0.1) unstable; urgency=low

  [ Adrian Bunk ]
  * Non-maintainer upload.
  * New upstream release. (Closes: #894158)
    - Ships updated config.{guess,sub}. (Closes: #894207)

  [ Aurelien Jarno ]
  * Add a debian/source/lintian-overrides to override the two
    license-problem-non-free-RFC issures reported by lintian, and causing
    rejection of the package by dak.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 27 Dec 2020 01:01:04 +0100

=== debian/control ===
Source: libogg
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Ron Lee <ron@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://xiph.org/ogg/
Vcs-Git: https://salsa.debian.org/multimedia-team/libogg.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libogg

Package: libogg0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ogg bitstream library
 Libogg is a library for manipulating ogg bitstreams.  It handles
 both making ogg bitstreams and getting packets from ogg bitstreams.

Package: libogg-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libogg0 (= ${binary:Version}),
 ${misc:Depends},
Description: Ogg bitstream library development files
 The libogg-dev package contains the header files and documentation
 needed to develop applications with libogg.

=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS

## use hardening some flags
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_BUILD_MAINT_OPTIONS

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

#ifneq (,$(filter-out $(DEB_HOST_ARCH), alpha hppa arm))
#	HARD_CFLAGS += -fstack-protector --param ssp-buffer-size=4
#endif
#ifneq (,$(filter-out $(DEB_HOST_ARCH), ia64 hppa avr32))
#	HARD_LDFLAGS += -Wl,-z,relro
#endif
#
## Keep dpkg-buildpackage the hell out of messing with our compile flags,
## we should trust upstream to know better than it what to use here.
## We do append -g for release builds though, for the detached -dbg package,
## and also now the hardening flags too as appropriate.
#CPPFLAGS = $(HARD_CPPFLAGS)
#CFLAGS   = $(HARD_CFLAGS) -g
#CXXFLAGS = $(HARD_CFLAGS) -g
#LDFLAGS  = $(HARD_LDFLAGS)

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration="libogg-dbg (<< 1.3.4-2~)"


DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|doc/.*\.png
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## libogg 1.3.6

=== debian/changelog ===
libogg (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
  * Debug symbol migration is complete
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Aug 2025 13:07:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libogg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Ron Lee <ron@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://xiph.org/ogg/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libogg.git

=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,6 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --dbgsym-migration="libogg-dbg (<< 1.3.4-2~)"
-
-
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
         debian/.*|doc/.*\.png
 # licensecheck v1

=== debian/watch ===
# Use uscan to check for newer upstream releases
version=4
opts="dversionmangle=auto" \
   https://downloads.xiph.org/releases/ogg/ @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
